set form_def {
  GuidoForm form {
    -label "Surpac Ranges"
    -default_buttons

    GuidoField sec_range {
      -label "Enter a range"
      -format range
      -width 20
      -null false
    }
  }
}
SclCreateGuidoForm form_handle $form_def {}
$form_handle SclRun {}

set sec_range "7000,8000,100"

SclRangeExpand sec_range_handle "$sec_range"

set sec_range_count [SclRangeGetCount $sec_range_handle]
for {set pos 0} {$pos < $sec_range_count} {incr pos} {

  SclRangeGet $sec_range_handle $pos sec_no
  set sec_file "sec$sec_no.str"
  puts "This section is $sec_file"
}
